require "json"

package = JSON.parse(File.read(File.join(__dir__, "package.json")))

Pod::Spec.new do |s|
  s.name         = "aliceonboarding-reactnative"
  s.version      = package["version"]
  s.summary      = package["description"]
  s.description  = <<-DESC
                  aliceonboarding-reactnative
                   DESC
  s.homepage     = "https://github.com/alicebiometrics/onboarding-react-native"
  s.license    = { :type => "ALiCE Biometrics 2020+"}
  s.authors      = { "ALiCE Support" => "support@alicebiometrics.com" }
  s.platforms    = { :ios => "11.0" }
  s.source       = { :git => "https://github.com/alicebiometrics/onboarding-react-native.git", :tag => "#{s.version}" }

  s.swift_version    = '5.0'
  s.source_files = "ios/**/*.{h,m,swift}", 'framework/ios/Onboarding.framework/Headers/*.h'
  s.public_header_files = 'framework/ios/Onboarding.framework/Headers/*.h'
  s.vendored_frameworks = 'framework/ios/Onboarding.framework'
  s.requires_arc = true

  s.dependency "React"
	s.dependency 'AliceOnboarding','~> 1.8.6'
  
end

