#import <React/RCTBridgeModule.h>


@interface RCT_EXTERN_MODULE(Alice, NSObject)

RCT_EXTERN_METHOD(logInWithSandbox: (NSString *) sandboxToken
                  email:(NSString *) email
                  firstName:(NSString *) firstName
                  lastName:(NSString *) lastName
                  resolve:(RCTPromiseResolveBlock)resolve
                  reject:(RCTPromiseRejectBlock)reject)


RCT_EXTERN_METHOD(runOnboarding: (NSString *) userToken
                  config:(NSDictionary *) config
                  resolve:(RCTPromiseResolveBlock)resolve
                  reject:(RCTPromiseRejectBlock)reject)

RCT_EXTERN_METHOD(commandGetUserStatus: (NSString *) userToken
                  resolve:(RCTPromiseResolveBlock)resolve
                  reject:(RCTPromiseRejectBlock)reject)

RCT_EXTERN_METHOD(commandGetDocumentsSupported: (NSString *) userToken
                  resolve:(RCTPromiseResolveBlock)resolve
                  reject:(RCTPromiseRejectBlock)reject)

RCT_EXTERN_METHOD(commandCreateDocument: (NSString *) userToken
                  type:(NSString *) type
                  issuingCountry:(NSString *) issuingCountry
                  resolve:(RCTPromiseResolveBlock)resolve
                  reject:(RCTPromiseRejectBlock)reject)

RCT_EXTERN_METHOD(commandAddSelfie: (NSString *) userToken
                  resolve:(RCTPromiseResolveBlock)resolve
                  reject:(RCTPromiseRejectBlock)reject)

RCT_EXTERN_METHOD(commandAddDocument: (NSString *) userToken
                  documentId: (NSString *) documentId
                  type: (NSString *) type
                  side: (NSString *) side
                  issuingCountry: (NSString *) issuingCountry
                  resolve:(RCTPromiseResolveBlock)resolve
                  reject:(RCTPromiseRejectBlock)reject)

RCT_EXTERN_METHOD(commandAuthenticate: (NSString *) userToken
                  resolve:(RCTPromiseResolveBlock)resolve
                  reject:(RCTPromiseRejectBlock)reject)

@end
